## AgsOpenSF2Instrument

AgsOpenSF2Instrument — open Soundfont2 instrument

## Stability Level

Stable, unless otherwise indicated

## Functions

AgsOpenSF2Instrument * | ags_open_sf2_instrument_new ()

## Properties

AgsAudio * | audio | Read / Write
char * | filename | Read / Write
char * | instrument | Read / Write
AgsIpatch * | ipatch | Read / Write
char * | preset | Read / Write
guint | start-pad | Read / Write
AgsAudio * | audio | Read / Write
char * | filename | Read / Write
char * | instrument | Read / Write
AgsIpatch * | ipatch | Read / Write
char * | preset | Read / Write
guint | start-pad | Read / Write

## Object Hierarchy

        GObject
        ╰── AgsTask
            ╰── AgsOpenSF2Instrument

## Includes

    #include <ags/audio/task/ags_open_sf2_instrument.h>

## Description

The AgsOpenSF2Instrument task opens Soundfont2 instruments.

## Functions

### ags_open_sf2_instrument_new ()

    AgsOpenSF2Instrument *
    ags_open_sf2_instrument_new (AgsAudio *audio,
                                 AgsIpatch *ipatch,
                                 gchar *filename,
                                 gchar *preset,
                                 gchar *instrument,
                                 guint start_pad);

Creates an AgsOpenSF2Instrument.

#### Parameters

audio | the AgsAudio |
ipatch | the AgsIpatch or `NULL` |
filename | the Soundfont2 file |
preset | the preset |
instrument | the instrument |
start_pad | the pad start |

#### Returns

an new AgsOpenSF2Instrument.

Since: 3.0.0

## Property Details

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“instrument”` property

      “instrument”               char *

The assigned instrument.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“ipatch”` property

      “ipatch”                   AgsIpatch *

The assigned AgsIpatch

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Since: 3.0.0

### The `“preset”` property

      “preset”                   char *

The assigned preset.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“start-pad”` property

      “start-pad”                guint

The assigned start-pad.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: 0

Since: 3.0.0

### The `“audio”` property

      “audio”                    AgsAudio *

The assigned AgsAudio

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Since: 3.0.0

### The `“filename”` property

      “filename”                 char *

The assigned filename.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“instrument”` property

      “instrument”               char *

The assigned instrument.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“ipatch”` property

      “ipatch”                   AgsIpatch *

The assigned AgsIpatch

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Since: 3.0.0

### The `“preset”` property

      “preset”                   char *

The assigned preset.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: NULL

Since: 3.0.0

### The `“start-pad”` property

      “start-pad”                guint

The assigned start-pad.

Owner: AgsOpenSF2Instrument

Flags: Read / Write

Default value: 0

Since: 3.0.0